<?php
/**
 * @package Business Association 
 * Setup the WordPress core custom header feature.
 *
 * @uses business_association_header_style()
*/
function business_association_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'business_association_custom_header_args', array(
		'header-text' 			 =>	false,
		'width'                  => 1200,
		'height'                 => 300,
		'flex-width'    		 => true,
		'flex-height'    		 => true,
		'wp-head-callback'       => 'business_association_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'business_association_custom_header_setup' );

if ( ! function_exists( 'business_association_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see business_association_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'business_association_header_style' );

function business_association_header_style() {
	$business_association_header_image = get_header_image() ? get_header_image() : get_template_directory_uri() . '/assets/images/header-img.png';
	$business_association_custom_css = "
        .box-image .single-page-img{
			background-image: url('" . esc_url($business_association_header_image) . "');
			background-repeat: no-repeat;
	        background-position: center center;
	        background-size: cover !important;
	        height: 300px;
		}";
	   	wp_add_inline_style( 'business-association-basic-style', $business_association_custom_css );
}
endif;